Menu

Install .NET Framework

Updated: 2020-07-21

The Microsoft .NET Framework is required to run TaxCycle and DoxCycle. As of the fall of 2019, .NET Framework 4.8 is required to run TaxCycle and DoxCycle. 

If you are running Windows 10, the May 2019 Update includes the .NET Framework 4.8 as an operating system component, and it is installed by default. Depending on each computer's Windows update settings, this version of .NET may be installed as part of the regular Windows update process.

The TaxCycle and DoxCycle setup programs will also automatically install the required .NET 4.8 version on your system.

Finally, TaxCycle or DoxCycle detect whether or not .NET 4.8 is installed on your computer and will prompt you to upgrade from the Start screen: 

  1. Click the update link to open the Microsoft download page for this version of .NET. 
  2. Click the button Download .NET Framework 4.8 Runtime.
  3. Run the installer.

Updating through Windows Update

The following instructions explain how to use Windows Update to install an update to the .NET Framework.   

  1. Open Windows Update by clicking the Start button. In the search box, type Update, and then, in the list of results, click Windows Update.
  2. In the left pane, click Check for updates, and then wait while Windows looks for the latest updates for your computer.
  3. If you see a message telling you that important updates are available, or telling you to review important updates, click the message to view and select the important updates to install. 
  4. In the list, make sure you check the update Microsoft .NET Framework 4.7.2 for Windows x64-based Systems. Then click OK to return to the prior screen.
  5. Click Install updates.
  6. Read and accept the license terms, and then click Finish if the update requires it. If you're prompted for an Administrator password or confirmation, type the password or provide confirmation.

2018-net-472-important-updates

Haven't found the answer? We can help.

Contact us and we’ll get back to you as soon as possible.